PETSc version 3.15.5
Fix/Edit manual page

# MatDenseSetLDA

Sets the leading dimension of the array used by the dense matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseSetLDA(Mat A,PetscInt lda)

Not collective

### Input Parameter

| mat | - a MATSEQDENSE or MATMPIDENSE matrix
| lda | - the leading dimension

### See Also

MatDenseGetArray(), MatDenseRestoreArray(), MatDenseGetArrayRead(), MatDenseRestoreArrayRead(), MatDenseGetLDA()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Examples

src/mat/tutorials/ex2.c.html

### Implementations

MatDenseSetLDA_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseSetLDA_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
MatDenseSetLDA_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages